<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_221) on Tue Jan 19 16:20:22 PST 2021 -->
<title>Uses of Class org.apache.nutch.util.NutchTool (apache-nutch 1.18 API)</title>
<meta name="date" content="2021-01-19">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class org.apache.nutch.util.NutchTool (apache-nutch 1.18 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../org/apache/nutch/util/NutchTool.html" title="class in org.apache.nutch.util">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/nutch/util/class-use/NutchTool.html" target="_top">Frames</a></li>
<li><a href="NutchTool.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Class org.apache.nutch.util.NutchTool" class="title">Uses of Class<br>org.apache.nutch.util.NutchTool</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../../../org/apache/nutch/util/NutchTool.html" title="class in org.apache.nutch.util">NutchTool</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#org.apache.nutch.crawl">org.apache.nutch.crawl</a></td>
<td class="colLast">
<div class="block">Crawl control code and tools to run the crawler.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.apache.nutch.fetcher">org.apache.nutch.fetcher</a></td>
<td class="colLast">
<div class="block">The Nutch robot.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#org.apache.nutch.indexer">org.apache.nutch.indexer</a></td>
<td class="colLast">
<div class="block">Index content, configure and run indexing and cleaning jobs to 
add, update, and delete documents from an index.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.apache.nutch.parse">org.apache.nutch.parse</a></td>
<td class="colLast">
<div class="block">The <a href="../../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse"><code>Parse</code></a> interface and related classes.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#org.apache.nutch.service.impl">org.apache.nutch.service.impl</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.apache.nutch.tools">org.apache.nutch.tools</a></td>
<td class="colLast">
<div class="block">Miscellaneous tools.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="org.apache.nutch.crawl">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../org/apache/nutch/util/NutchTool.html" title="class in org.apache.nutch.util">NutchTool</a> in <a href="../../../../../org/apache/nutch/crawl/package-summary.html">org.apache.nutch.crawl</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing subclasses, and an explanation">
<caption><span>Subclasses of <a href="../../../../../org/apache/nutch/util/NutchTool.html" title="class in org.apache.nutch.util">NutchTool</a> in <a href="../../../../../org/apache/nutch/crawl/package-summary.html">org.apache.nutch.crawl</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/crawl/CrawlDb.html" title="class in org.apache.nutch.crawl">CrawlDb</a></span></code>
<div class="block">This class takes the output of the fetcher and updates the crawldb
 accordingly.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/crawl/DeduplicationJob.html" title="class in org.apache.nutch.crawl">DeduplicationJob</a></span></code>
<div class="block">Generic deduplicator which groups fetched URLs with the same digest and marks
 all of them as duplicate except the one with the highest score (based on the
 score in the crawldb, which is not necessarily the same as the score
 indexed).</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/crawl/Generator.html" title="class in org.apache.nutch.crawl">Generator</a></span></code>
<div class="block">Generates a subset of a crawl db to fetch.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/crawl/Injector.html" title="class in org.apache.nutch.crawl">Injector</a></span></code>
<div class="block">Injector takes a flat text file of URLs (or a folder containing text files)
 and merges ("injects") these URLs into the CrawlDb.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/crawl/LinkDb.html" title="class in org.apache.nutch.crawl">LinkDb</a></span></code>
<div class="block">Maintains an inverted link map, listing incoming links for each url.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.fetcher">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../org/apache/nutch/util/NutchTool.html" title="class in org.apache.nutch.util">NutchTool</a> in <a href="../../../../../org/apache/nutch/fetcher/package-summary.html">org.apache.nutch.fetcher</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing subclasses, and an explanation">
<caption><span>Subclasses of <a href="../../../../../org/apache/nutch/util/NutchTool.html" title="class in org.apache.nutch.util">NutchTool</a> in <a href="../../../../../org/apache/nutch/fetcher/package-summary.html">org.apache.nutch.fetcher</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/fetcher/Fetcher.html" title="class in org.apache.nutch.fetcher">Fetcher</a></span></code>
<div class="block">A queue-based fetcher.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.indexer">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../org/apache/nutch/util/NutchTool.html" title="class in org.apache.nutch.util">NutchTool</a> in <a href="../../../../../org/apache/nutch/indexer/package-summary.html">org.apache.nutch.indexer</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing subclasses, and an explanation">
<caption><span>Subclasses of <a href="../../../../../org/apache/nutch/util/NutchTool.html" title="class in org.apache.nutch.util">NutchTool</a> in <a href="../../../../../org/apache/nutch/indexer/package-summary.html">org.apache.nutch.indexer</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/indexer/IndexingJob.html" title="class in org.apache.nutch.indexer">IndexingJob</a></span></code>
<div class="block">Generic indexer which relies on the plugins implementing IndexWriter</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.parse">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../org/apache/nutch/util/NutchTool.html" title="class in org.apache.nutch.util">NutchTool</a> in <a href="../../../../../org/apache/nutch/parse/package-summary.html">org.apache.nutch.parse</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing subclasses, and an explanation">
<caption><span>Subclasses of <a href="../../../../../org/apache/nutch/util/NutchTool.html" title="class in org.apache.nutch.util">NutchTool</a> in <a href="../../../../../org/apache/nutch/parse/package-summary.html">org.apache.nutch.parse</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/parse/ParseSegment.html" title="class in org.apache.nutch.parse">ParseSegment</a></span></code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.service.impl">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../org/apache/nutch/util/NutchTool.html" title="class in org.apache.nutch.util">NutchTool</a> in <a href="../../../../../org/apache/nutch/service/impl/package-summary.html">org.apache.nutch.service.impl</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../org/apache/nutch/service/impl/package-summary.html">org.apache.nutch.service.impl</a> that return <a href="../../../../../org/apache/nutch/util/NutchTool.html" title="class in org.apache.nutch.util">NutchTool</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/nutch/util/NutchTool.html" title="class in org.apache.nutch.util">NutchTool</a></code></td>
<td class="colLast"><span class="typeNameLabel">JobFactory.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/service/impl/JobFactory.html#createToolByClassName-java.lang.String-org.apache.hadoop.conf.Configuration-">createToolByClassName</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;className,
                     <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/conf/Configuration.html?is-external=true" title="class or interface in org.apache.hadoop.conf">Configuration</a>&nbsp;conf)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/apache/nutch/util/NutchTool.html" title="class in org.apache.nutch.util">NutchTool</a></code></td>
<td class="colLast"><span class="typeNameLabel">JobFactory.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/service/impl/JobFactory.html#createToolByType-org.apache.nutch.service.JobManager.JobType-org.apache.hadoop.conf.Configuration-">createToolByType</a></span>(<a href="../../../../../org/apache/nutch/service/JobManager.JobType.html" title="enum in org.apache.nutch.service">JobManager.JobType</a>&nbsp;type,
                <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/conf/Configuration.html?is-external=true" title="class or interface in org.apache.hadoop.conf">Configuration</a>&nbsp;conf)</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing constructors, and an explanation">
<caption><span>Constructors in <a href="../../../../../org/apache/nutch/service/impl/package-summary.html">org.apache.nutch.service.impl</a> with parameters of type <a href="../../../../../org/apache/nutch/util/NutchTool.html" title="class in org.apache.nutch.util">NutchTool</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/service/impl/JobWorker.html#JobWorker-org.apache.nutch.service.model.request.JobConfig-org.apache.hadoop.conf.Configuration-org.apache.nutch.util.NutchTool-">JobWorker</a></span>(<a href="../../../../../org/apache/nutch/service/model/request/JobConfig.html" title="class in org.apache.nutch.service.model.request">JobConfig</a>&nbsp;jobConfig,
         <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/conf/Configuration.html?is-external=true" title="class or interface in org.apache.hadoop.conf">Configuration</a>&nbsp;conf,
         <a href="../../../../../org/apache/nutch/util/NutchTool.html" title="class in org.apache.nutch.util">NutchTool</a>&nbsp;tool)</code>
<div class="block">To initialize JobWorker thread with the Job Configurations provided by user.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/service/impl/ServiceWorker.html#ServiceWorker-org.apache.nutch.service.model.request.ServiceConfig-org.apache.nutch.util.NutchTool-">ServiceWorker</a></span>(<a href="../../../../../org/apache/nutch/service/model/request/ServiceConfig.html" title="class in org.apache.nutch.service.model.request">ServiceConfig</a>&nbsp;serviceConfig,
             <a href="../../../../../org/apache/nutch/util/NutchTool.html" title="class in org.apache.nutch.util">NutchTool</a>&nbsp;tool)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.tools">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../org/apache/nutch/util/NutchTool.html" title="class in org.apache.nutch.util">NutchTool</a> in <a href="../../../../../org/apache/nutch/tools/package-summary.html">org.apache.nutch.tools</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing subclasses, and an explanation">
<caption><span>Subclasses of <a href="../../../../../org/apache/nutch/util/NutchTool.html" title="class in org.apache.nutch.util">NutchTool</a> in <a href="../../../../../org/apache/nutch/tools/package-summary.html">org.apache.nutch.tools</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/tools/CommonCrawlDataDumper.html" title="class in org.apache.nutch.tools">CommonCrawlDataDumper</a></span></code>
<div class="block">
 The Common Crawl Data Dumper tool enables one to reverse generate the raw
 content from Nutch segment data directories into a common crawling data
 format, consumed by many applications.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../org/apache/nutch/util/NutchTool.html" title="class in org.apache.nutch.util">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/nutch/util/class-use/NutchTool.html" target="_top">Frames</a></li>
<li><a href="NutchTool.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2021 The Apache Software Foundation</small></p>
</body>
</html>
